<script>
export let mask = [1, 1, 1, 1]
export let size = 16

</script>

<div class="container" style="--size: {size}">
<div class="child">
<svg width={`${size}px`} height={`${size}px`} viewBox="0 0 1 1">
{#each mask as msk, index}
    {#if msk}
        <line x1=0.5 y1=0.5 x2=0.5 y2=0 stroke-width=0.01 stroke=black transform={`rotate(${90 * index}, 0.5, 0.5)`}/>
    {/if}
{/each}
</svg>
</div>
<div><slot></slot></div>
</div>

<style>
.container {
    width: calc(var(--size) * 1px);
    height: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.container div {
    position: absolute
}

</style>